[arch-commits] Commit in python-pytest-cov/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri May 3 20:54:03 UTC 2019


    Date: Friday, May 3, 2019 @ 20:54:02
  Author: felixonmars
Revision: 458744

archrelease: copy trunk to community-any

Added:
  python-pytest-cov/repos/community-any/PKGBUILD
    (from rev 458743, python-pytest-cov/trunk/PKGBUILD)
Deleted:
  python-pytest-cov/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  116 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 58 insertions(+), 58 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-03 20:53:49 UTC (rev 458743)
+++ PKGBUILD	2019-05-03 20:54:02 UTC (rev 458744)
@@ -1,58 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Sebastien LEDUC <sebastien at sleduc.fr>
-# Contributor: Andrey Mikhaylenko <neithere at gmail dot com>
-
-pkgbase=python-pytest-cov
-pkgname=('python-pytest-cov' 'python2-pytest-cov')
-pkgver=2.6.1
-pkgrel=1
-pkgdesc='py.test plugin for coverage reporting with support for both centralised and distributed testing, including subprocesses and multiprocessing'
-arch=('any')
-license=('MIT')
-url='https://github.com/schlamar/pytest-cov'
-makedepends=('python-coverage' 'python2-coverage' 'python-setuptools' 'python2-setuptools'
-             'python-pytest' 'python2-pytest')
-checkdepends=('python-virtualenv' 'python2-virtualenv' 'python-process-tests'
-              'python2-process-tests' 'python-pytest-cache' 'python2-pytest-cache'
-              'python-pytest-xdist' 'python2-pytest-xdist' 'python-fields' 'python2-fields')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/pytest-dev/pytest-cov/archive/v$pkgver.tar.gz")
-sha512sums=('d277ca7cb183b0c18e126b8a6a36793fb449cb77f3058cfbcd0cea39b2bd9855e53a1a13839b7767b3d3583c1a83199a501c3c1924598946ead32981eff1c56f')
-
-prepare() {
-  cp -a pytest-cov-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/pytest-cov-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/pytest-cov-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  # Hack entry points by installing it
-
-  cd "$srcdir"/pytest-cov-$pkgver
-  python setup.py install --root="$PWD/tmp_install" --optimize=1
-  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.7/site-packages:$PYTHONPATH:$PWD/tests" py.test || warning "Tests failed"
-
-  cd "$srcdir"/pytest-cov-$pkgver-py2
-  python2 setup.py install --root="$PWD/tmp_install" --optimize=1
-  PYTHONPATH="$PWD/tmp_install/usr/lib/python2.7/site-packages:$PYTHONPATH:$PWD/tests" py.test2 || warning "Tests failed"
-}
-
-package_python-pytest-cov() {
-  depends=('python-pytest' 'python-coverage')
-
-  cd pytest-cov-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}
-
-package_python2-pytest-cov() {
-  depends=('python2-pytest' 'python2-coverage')
-
-  cd pytest-cov-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-}
-# vim:set ts=2 sw=2 et:

Copied: python-pytest-cov/repos/community-any/PKGBUILD (from rev 458743, python-pytest-cov/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-05-03 20:54:02 UTC (rev 458744)
@@ -0,0 +1,58 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sebastien LEDUC <sebastien at sleduc.fr>
+# Contributor: Andrey Mikhaylenko <neithere at gmail dot com>
+
+pkgbase=python-pytest-cov
+pkgname=('python-pytest-cov' 'python2-pytest-cov')
+pkgver=2.7.1
+pkgrel=1
+pkgdesc='py.test plugin for coverage reporting with support for both centralised and distributed testing, including subprocesses and multiprocessing'
+arch=('any')
+license=('MIT')
+url='https://github.com/schlamar/pytest-cov'
+makedepends=('python-coverage' 'python2-coverage' 'python-setuptools' 'python2-setuptools'
+             'python-pytest' 'python2-pytest')
+checkdepends=('python-virtualenv' 'python2-virtualenv' 'python-process-tests'
+              'python2-process-tests' 'python-pytest-cache' 'python2-pytest-cache'
+              'python-pytest-xdist' 'python2-pytest-xdist' 'python-fields' 'python2-fields')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/pytest-dev/pytest-cov/archive/v$pkgver.tar.gz")
+sha512sums=('bb2bc5be49b3c2f56a36b6396d6b1a6734e86fb0bf1c2ef29bf8dbc95dcb9364c6deb1525529d46f4ec0ffa6899ef0e94b5f76e5ed892b0a092e69ad6c6e080e')
+
+prepare() {
+  cp -a pytest-cov-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/pytest-cov-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pytest-cov-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  # Hack entry points by installing it
+
+  cd "$srcdir"/pytest-cov-$pkgver
+  python setup.py install --root="$PWD/tmp_install" --optimize=1
+  PYTHONPATH="$PWD/tmp_install/usr/lib/python3.7/site-packages:$PYTHONPATH:$PWD/tests" py.test || warning "Tests failed"
+
+  cd "$srcdir"/pytest-cov-$pkgver-py2
+  python2 setup.py install --root="$PWD/tmp_install" --optimize=1
+  PYTHONPATH="$PWD/tmp_install/usr/lib/python2.7/site-packages:$PYTHONPATH:$PWD/tests" py.test2 || warning "Tests failed"
+}
+
+package_python-pytest-cov() {
+  depends=('python-pytest' 'python-coverage')
+
+  cd pytest-cov-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-pytest-cov() {
+  depends=('python2-pytest' 'python2-coverage')
+
+  cd pytest-cov-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list